# ThreadsafePacketLogger.h File Reference

Derivation of the packet logger to defer the call to WriteLog until the user thread. More...

`#include "PacketLogger.h"`
`#include "SingleProducerConsumer.h"`

## Classes

class | ThreadsafePacketLogger
| Same as PacketLogger, but writes output in the user thread. More...

## Detailed Description

Derivation of the packet logger to defer the call to WriteLog until the user thread.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.